<?php
define('MODULE_FILE', true);
require_once("function/function.php"); 

if (is_admin($admin)) 
{
if (Empty($_POST))
{
echo "<center><b>Установка модуля Page - клон модуля Pages</b><br>";
echo "Существующие таблицы ".$prefix."_page и ".$prefix."_page_categories будут удалены и созданы заново!<br><br>";
echo "<form action=\"setup.php\" method=\"post\"><input type=\"hidden\" name=\"start\" value=\"\"><input type=\"submit\" value=\"Начать установку таблиц\"></form></center>";
}


if (!Empty($_POST))
{
$result = $db->sql_query("drop table if exists ".$prefix."_page");
$result = $db->sql_query("CREATE TABLE ".$prefix."_page (
  `pid` int(10) NOT NULL auto_increment,
  `cid` int(10) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `hometext` text NOT NULL,
  `bodytext` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `counter` int(10) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  PRIMARY KEY (`pid`),
  KEY `cid` (`cid`)
) TYPE=MyISAM /*!40101 DEFAULT CHARSET=cp1251 */;");


$result = $db->sql_query("drop table if exists ".$prefix."_page_categories");
$result = $db->sql_query("CREATE TABLE ".$prefix."_page_categories (
  `cid` int(10) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `parentid` int(11) NOT NULL default '0',
  `planguage` varchar(30) NOT NULL default '',
  PRIMARY KEY (`cid`)
) TYPE=MyISAM /*!40101 DEFAULT CHARSET=cp1251 */;");


if ($result) echo "<center>Установка таблиц завершена<br><b>Удалите setup.php</b></center>";
}
}


?>
